-- Nuke Happy Warmongers --
-- Author: Das_Capitolin --
----------------------------------------------------------------------------------------------------

-- "DiplomaticYieldBonus" INTEGER NOT NULL DEFAULT 0, "RelationshipLevel" INTEGER NOT NULL DEFAULT 0
UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 25, RelationshipLevel = 100 WHERE StateType = 'DIPLO_STATE_ALLIED AND Name' = 'LOC_DIPLO_STATE_ALLIED_NAME'; -- 50, 100 (+50 over neutral)
UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 10, RelationshipLevel = 83 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND Name = 'LOC_DIPLO_STATE_DECLARED_FRIEND_NAME'; -- 25, 83 (+23 over)
UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 5, RelationshipLevel = 66 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND Name = 'LOC_DIPLO_STATE_FRIENDLY_NAME'; -- 25, 66 (+16 from neutral)
UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = -10, RelationshipLevel = 50 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND Name = 'LOC_DIPLO_STATE_NEUTRAL_NAME'; -- 0, 50 (neutral)
UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = -50, RelationshipLevel = 33 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND Name = 'LOC_DIPLO_STATE_UNFRIENDLY_NAME'; -- -25, 33 (-17 from neutral)
UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = -75, RelationshipLevel = 16 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND Name = 'LOC_DIPLO_STATE_DENOUNCED_NAME'; -- -75, 16 (-34 from neutral)
UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = -100, RelationshipLevel = 0 WHERE StateType = 'DIPLO_STATE_WAR' AND Name = 'LOC_DIPLO_STATE_WAR_NAME'; -- -100, 0 (-50 from neutral)
	--UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 0, RelationshipLevel = 0 WHERE StateType = 'DIPLO_STATE_NO_INFLUENCE' AND Name = 'LOC_DIPLO_STATE_NO_INFLUENCE_NAME';
	--UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 0, RelationshipLevel = 0 WHERE StateType = 'DIPLO_STATE_INFLUENTIAL' AND Name = 'LOC_DIPLO_STATE_INFLUENTIAL_NAME';
	--UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 0, RelationshipLevel = 0 WHERE StateType = 'DIPLO_STATE_MAX_INFLUENCE' AND Name = 'LOC_DIPLO_STATE_MAX_INFLUENCE_NAME';
	--UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 0, RelationshipLevel = 0 WHERE StateType = 'DIPLO_STATE_WAR_WITH_MINOR' AND Name = 'LOC_DIPLO_STATE_WAR_WITH_MINOR_NAME';
	--UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 0, RelationshipLevel = 0 WHERE StateType = 'DIPLO_STATE_AWARE' AND Name = 'LOC_DIPLO_STATE_AWARE_NAME';
	--UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 0, RelationshipLevel = 0 WHERE StateType = 'DIPLO_STATE_PATRON' AND Name = 'LOC_DIPLO_STATE_PATRON_NAME';
	--UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 0, RelationshipLevel = 0 WHERE StateType = 'DIPLO_STATE_PROTECTOR' AND Name = 'LOC_DIPLO_STATE_PROTECTOR_NAME';
	--UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 0, RelationshipLevel = 0 WHERE StateType = 'DIPLO_STATE_WAR_WITH_MAJOR' AND Name = 'LOC_DIPLO_STATE_WAR_WITH_MAJOR_NAME';
	--UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 0, RelationshipLevel = 0 WHERE StateType = 'DIPLO_STATE_MINOR_MINOR' AND Name = 'LOC_DIPLO_STATE_MINOR_MINOR_NAME';
	--UPDATE "DiplomaticStates" SET DiplomaticYieldBonus = 0, RelationshipLevel = 0 WHERE StateType = 'DIPLO_STATE_MINOR_MINOR_WAR' AND Name = 'LOC_DIPLO_STATE_MINOR_MINOR_WAR_NAME';

-- Cost is INTEGER in gold. WarmongerPercent value is INTEGER, not percentage.
UPDATE "DiplomaticActions" SET Cost = 500, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_RESIDENT_EMBASSY' AND Name = 'LOC_DIPLOACTION_RESIDENT_EMBASSY_NAME'; -- Cost = 50 (Cost is halved, for unknown reason)
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 5, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_DEMAND_TRIBUTE' AND Name = 'LOC_DIPLOACTION_DEMAND_TRIBUTE_NAME'; -- WarmongerPercent = 0
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 5, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_OPEN_BORDERS' AND Name = 'LOC_DIPLOACTION_OPEN_BORDERS_NAME'; -- WarmongerPercent = 0
UPDATE "DiplomaticActions" SET Cost = 200, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_DEFENSIVE_PACT' AND Name = 'LOC_DIPLOACTION_DEFENSIVE_PACT_NAME'; -- Cost = 0
UPDATE "DiplomaticActions" SET Cost = 100, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_RESEARCH_AGREEMENT' AND Name = 'LOC_DIPLOACTION_RESEARCH_AGREEMENT_NAME'; -- Cost = 0
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 5, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_REQUEST_ASSISTANCE' AND Name = 'LOC_DIPLOACTION_REQUEST_ASSISTANCE_NAME'; -- WarmongerPercent = 0 (World Congress aid request)
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 100, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_DENOUNCE' AND Name = 'LOC_DIPLOACTION_DENOUNCE_NAME'; -- WarmongerPercent = 0
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 10 WHERE DiplomaticActionType = 'DIPLOACTION_MAKE_PEACE' AND Name = 'LOC_DIPLOACTION_MAKE_PEACE_NAME';
UPDATE "DiplomaticActions" SET Cost = 50, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_DIPLOMATIC_DELEGATION' AND Name = 'LOC_DIPLOACTION_DIPLOMATIC_DELEGATION_NAME'; -- Cost = 25
UPDATE "DiplomaticActions" SET Cost = 500, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_ALLIANCE' AND Name = 'LOC_DIPLOACTION_ALLIANCE_NAME'; -- Cost = 0
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_DECLARE_FRIENDSHIP' AND Name = 'LOC_DIPLOACTION_DECLARE_FRIENDSHIP_NAME';
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_GRANT_INFLUENCE_TOKEN' AND Name = 'LOC_DIPLOACTION_GRANT_INFLUENCE_TOKEN_NAME';
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_GIFT_UNIT' AND Name = 'LOC_DIPLOACTION_GIFT_UNIT_NAME';
UPDATE "DiplomaticActions" SET Cost = 100, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_MILITARY_REQUEST' AND Name = 'LOC_DIPLOACTION_MILITARY_REQUEST_NAME'; -- Cost = 0
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 50, CaptureWarmongerPercent = 100, RazeWarmongerPercent = 300, Duration = 50 WHERE DiplomaticActionType = 'DIPLOACTION_DECLARE_WAR_MINOR_CIV' AND Name = 'LOC_DIPLOACTION_DECLARE_WAR_MINOR_CIV_NAME'; -- WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 50, CaptureWarmongerPercent = 50, RazeWarmongerPercent = 150, Duration = 50 WHERE DiplomaticActionType = 'DIPLOACTION_DECLARE_SURPRISE_WAR' AND Name = 'LOC_DIPLOACTION_DECLARE_SURPRISE_WAR_NAME'; -- WarmongerPercent = 150, CaptureWarmongerPercent = 150, RazeWarmongerPercent = 450, Duration = 30
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 25, CaptureWarmongerPercent = 25, RazeWarmongerPercent = 100, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_DECLARE_FORMAL_WAR' AND Name = 'LOC_DIPLOACTION_DECLARE_FORMAL_WAR_NAME'; -- WarmongerPercent = 100, CaptureWarmongerPercent = 100, RazeWarmongerPercent = 300, Duration = 30
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 25, CaptureWarmongerPercent = 50, RazeWarmongerPercent = 100, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_JOINT_WAR' AND Name = 'LOC_DIPLOACTION_JOINT_WAR_NAME'; -- WarmongerPercent = 100, CaptureWarmongerPercent = 100, RazeWarmongerPercent = 300, Duration = 30
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 25, CaptureWarmongerPercent = 25, RazeWarmongerPercent = 50, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_DECLARE_HOLY_WAR' AND Name = 'LOC_DIPLOACTION_DECLARE_HOLY_WAR_NAME'; -- WarmongerPercent = 50, CaptureWarmongerPercent = 50, RazeWarmongerPercent = 50, Duration = 30
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 50, RazeWarmongerPercent = 200, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_DECLARE_LIBERATION_WAR' AND Name = 'LOC_DIPLOACTION_DECLARE_LIBERATION_WAR_NAME'; -- WarmongerPercent = 0, CaptureWarmongerPercent = 100, RazeWarmongerPercent = 600, Duration = 30
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 50 WHERE DiplomaticActionType = 'DIPLOACTION_DECLARE_RECONQUEST_WAR' AND Name = 'LOC_DIPLOACTION_DECLARE_RECONQUEST_WAR_NAME'; -- WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 50, RazeWarmongerPercent = 100, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_DECLARE_PROTECTORATE_WAR' AND Name = 'LOC_DIPLOACTION_DECLARE_PROTECTORATE_WAR_NAME';  -- WarmongerPercent = 0, CaptureWarmongerPercent = 100, RazeWarmongerPercent = 300, Duration = 30
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 25, CaptureWarmongerPercent = 20, RazeWarmongerPercent = 100, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_DECLARE_COLONIAL_WAR' AND Name = 'LOC_DIPLOACTION_DECLARE_COLONIAL_WAR_NAME'; -- WarmongerPercent = 50, CaptureWarmongerPercent = 50, RazeWarmongerPercent = 300, Duration = 30
UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 25, CaptureWarmongerPercent = 25, RazeWarmongerPercent = 50, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_DECLARE_TERRITORIAL_WAR' AND Name = 'LOC_DIPLOACTION_DECLARE_TERRITORIAL_WAR_NAME'; -- WarmongerPercent = 75, CaptureWarmongerPercent = 75, RazeWarmongerPercent = 150, Duration = 30
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_PROPOSE_TRADE' AND Name = 'LOC_DIPLOACTION_PROPOSE_TRADE_NAME';
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SPY' AND Name = 'LOC_DIPLOACTION_KEEP_PROMISE_DONT_SPY_NAME';
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_CONVERT' AND Name = 'LOC_DIPLOACTION_KEEP_PROMISE_DONT_CONVERT_NAME';
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_DIG_ARTIFACTS' AND Name = 'LOC_DIPLOACTION_KEEP_PROMISE_DONT_DIG_ARTIFACTS_NAME';
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SETTLE_TOO_NEAR' AND Name = 'LOC_DIPLOACTION_KEEP_PROMISE_DONT_SETTLE_TOO_NEAR_NAME';
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_PROPOSE_PEACE_DEAL' AND Name = 'LOC_DIPLOACTION_PROPOSE_PEACE_DEAL';
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_VIEW_TRADE' AND Name = 'LOC_DIPLOACTION_VIEW_TRADE_NAME';
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_VIEW_DEMAND_TRIBUTE' AND Name = 'LOC_DIPLOACTION_VIEW_DEMAND_TRIBUTE_NAME';
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_USE_NUCLEAR_WEAPON' AND Name = 'LOC_DIPLOACTION_USE_NUCLEAR_WEAPON';
--UPDATE "DiplomaticActions" SET Cost = 0, WarmongerPercent = 0, CaptureWarmongerPercent = 0, RazeWarmongerPercent = 0, Duration = 30 WHERE DiplomaticActionType = 'DIPLOACTION_LIBERATE_CITY' AND Name = 'LOC_DIPLOACTION_LIBERATE_CITY';

-- "StateType" INTEGER NOT NULL, "DiplomaticActionType" INTEGER NOT NULL, "AiAllowed" BOOLEAN NOT NULL DEFAULT 1, "Worth" INTEGER NOT NULL DEFAULT 0, "Cost" INTEGER NOT NULL DEFAULT 0
UPDATE "DiplomaticStateActions" SET Worth = 50, Cost = 0 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_RESIDENT_EMBASSY'; -- Worth = 75, Cost = -10
UPDATE "DiplomaticStateActions" SET Worth = 75, Cost = 0 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_RESIDENT_EMBASSY'; -- Worth = 75, Cost = -10
UPDATE "DiplomaticStateActions" SET Worth = 50, Cost = 15 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_RESIDENT_EMBASSY'; -- Worth = 50, Cost = 10
UPDATE "DiplomaticStateActions" SET Worth = 25, Cost = 25 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_RESIDENT_EMBASSY'; -- Worth = 25, Cost = 15
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 100 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_RESIDENT_EMBASSY'; -- Worth = 0, Cost = 100
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_OPEN_BORDERS'; --  -- Worth = 0, Cost = 0
UPDATE "DiplomaticStateActions" SET Worth = 20, Cost = 5 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_OPEN_BORDERS'; -- Worth = 20, Cost = 0
UPDATE "DiplomaticStateActions" SET Worth = 10, Cost = 10 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_OPEN_BORDERS'; -- Worth = 10, Cost = 0
UPDATE "DiplomaticStateActions" SET Worth = 5, Cost = 15 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_OPEN_BORDERS'; -- Worth = 0, Cost = 10
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 20 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_OPEN_BORDERS'; -- Worth = 0, Cost = 10
--UPDATE "DiplomaticStateActions" SET Worth = -50, Cost = 70 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_REQUEST_ASSISTANCE'; -- Worth = -50, Cost = 70
--UPDATE "DiplomaticStateActions" SET Worth = -70, Cost = 80 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_REQUEST_ASSISTANCE'; -- Worth = -70, Cost = 80
--UPDATE "DiplomaticStateActions" SET Worth = -90, Cost = 90 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_REQUEST_ASSISTANCE'; -- Worth = -90, Cost = 90
UPDATE "DiplomaticStateActions" SET Worth = 20, Cost = 0 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_DIPLOMATIC_DELEGATION'; -- Worth = 40, Cost = -10
UPDATE "DiplomaticStateActions" SET Worth = 20, Cost = 0 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_DIPLOMATIC_DELEGATION'; -- Worth = 40, Cost = -10
UPDATE "DiplomaticStateActions" SET Worth = 15, Cost = 5 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_DIPLOMATIC_DELEGATION'; -- Worth = 25, Cost = 5
UPDATE "DiplomaticStateActions" SET Worth = 10, Cost = 25 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_DIPLOMATIC_DELEGATION'; -- Worth = 15, Cost = 10
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 75 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_DIPLOMATIC_DELEGATION'; -- Worth = 0, Cost = 75
UPDATE "DiplomaticStateActions" SET Worth = 35, Cost = -25 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_FRIENDSHIP'; -- Worth = 35, Cost = -25
UPDATE "DiplomaticStateActions" SET Worth = 25, Cost = -15 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_FRIENDSHIP'; -- Worth = 25, Cost = -15
UPDATE "DiplomaticStateActions" SET Worth = 15, Cost = -5 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_FRIENDSHIP'; -- Worth = 15, Cost = -15
UPDATE "DiplomaticStateActions" SET Worth = -20, Cost = 20 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_FRIENDSHIP'; -- Worth = -10, Cost = 10
UPDATE "DiplomaticStateActions" SET Worth = -50, Cost = 50 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_FRIENDSHIP'; -- Worth = -40, Cost = 40
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_PROPOSE_TRADE'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_PROPOSE_TRADE'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 5, Cost = 5 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_PROPOSE_TRADE'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = -10, Cost = 10 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_PROPOSE_TRADE'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = -20, Cost = 20 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_PROPOSE_TRADE'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = -50, Cost = 100 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_PROPOSE_TRADE'; -- Worth = -50, Cost = 100
--UPDATE "DiplomaticStateActions" SET Worth = -10, Cost = 10 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_DEFENSIVE_PACT'; -- Worth = -10, Cost = 10
--UPDATE "DiplomaticStateActions" SET Worth = -20, Cost = 20 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_DEFENSIVE_PACT'; -- Worth = -20, Cost = 20
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_JOINT_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_JOINT_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_JOINT_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_JOINT_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_JOINT_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 40, Cost = -40 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_RESEARCH_AGREEMENT'; -- Worth = 40, Cost = -40
--UPDATE "DiplomaticStateActions" SET Worth = 20, Cost = -20 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_RESEARCH_AGREEMENT'; -- Worth = 20, Cost = -20
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = -30 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SPY'; -- Worth = 0, Cost = -30
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = -30 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SPY'; -- Worth = 0, Cost = -30
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SPY'; -- Worth = 0, Cost = 0
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 10 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SPY'; -- Worth = 0, Cost = 0
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 15 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SPY'; -- Worth = 0, Cost = 5
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 20 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SPY'; -- Worth = 0, Cost = 20
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = -5 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_CONVERT'; -- Worth = 0, Cost = -5
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_CONVERT'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_CONVERT'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_CONVERT'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 5 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_CONVERT'; -- Worth = 0, Cost = 5
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 20 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_CONVERT'; -- Worth = 0, Cost = 20
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = -10 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_DIG_ARTIFACTS'; -- Worth = 0, Cost = -10
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = -5 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_DIG_ARTIFACTS'; -- Worth = 0, Cost = -5
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_DIG_ARTIFACTS'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_DIG_ARTIFACTS'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 5 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_DIG_ARTIFACTS'; -- Worth = 0, Cost = 5
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 20 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_DIG_ARTIFACTS'; -- Worth = 0, Cost = 20
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = -15 WHERE StateType = 'DIPLO_STATE_ALLIED' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SETTLE_TOO_NEAR'; -- Worth = 0, Cost = -50
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = -10 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SETTLE_TOO_NEAR'; -- Cost = -30
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = -5 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SETTLE_TOO_NEAR'; -- Worth = 0, Cost = -10
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 10 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SETTLE_TOO_NEAR'; -- Worth = 0, Cost = 0
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 25 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SETTLE_TOO_NEAR'; -- Worth = 0, Cost = 10
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 50 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_KEEP_PROMISE_DONT_SETTLE_TOO_NEAR'; -- Worth = 0, Cost = 50
--UPDATE "DiplomaticStateActions" SET Worth = -10, Cost = -10 WHERE StateType = 'DIPLO_STATE_DECLARED_FRIEND' AND DiplomaticActionType = 'DIPLOACTION_ALLIANCE'; -- Worth = -10, Cost = -10
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_DEMAND_TRIBUTE'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_DEMAND_TRIBUTE'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 5, Cost = 0 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_DEMAND_TRIBUTE'; -- Worth = 5, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 30, Cost = 0 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_DEMAND_TRIBUTE'; -- Worth = 30, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_SURPRISE_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_SURPRISE_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_SURPRISE_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_SURPRISE_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_FRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_DENOUNCE'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_NEUTRAL' AND DiplomaticActionType = 'DIPLOACTION_DENOUNCE'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_UNFRIENDLY' AND DiplomaticActionType = 'DIPLOACTION_DENOUNCE'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_FORMAL_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_HOLY_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_LIBERATION_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_RECONQUEST_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_PROTECTORATE_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_COLONIAL_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_DENOUNCED' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_TERRITORIAL_WAR'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_WAR' AND DiplomaticActionType = 'DIPLOACTION_MAKE_PEACE'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_WAR_WITH_MINOR' AND DiplomaticActionType = 'DIPLOACTION_MAKE_PEACE'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_WAR' AND DiplomaticActionType = 'DIPLOACTION_PROPOSE_PEACE_DEAL'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_NO_INFLUENCE' AND DiplomaticActionType = 'DIPLOACTION_GRANT_INFLUENCE_TOKEN'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_INFLUENTIAL' AND DiplomaticActionType = 'DIPLOACTION_GRANT_INFLUENCE_TOKEN'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_MAX_INFLUENCE' AND DiplomaticActionType = 'DIPLOACTION_GRANT_INFLUENCE_TOKEN'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_WAR_WITH_MINOR' AND DiplomaticActionType = 'DIPLOACTION_GRANT_INFLUENCE_TOKEN'; -- Worth = 0, Cost = 0
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 30 WHERE StateType = 'DIPLO_STATE_NO_INFLUENCE' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_WAR_MINOR_CIV'; -- Worth = 0, Cost = 0
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 20 WHERE StateType = 'DIPLO_STATE_INFLUENTIAL' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_WAR_MINOR_CIV'; -- Worth = 0, Cost = 0
UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 10 WHERE StateType = 'DIPLO_STATE_MAX_INFLUENCE' AND DiplomaticActionType = 'DIPLOACTION_DECLARE_WAR_MINOR_CIV'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_INFLUENTIAL' AND DiplomaticActionType = 'DIPLOACTION_GIFT_UNIT'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_MAX_INFLUENCE' AND DiplomaticActionType = 'DIPLOACTION_GIFT_UNIT'; -- Worth = 0, Cost = 0
--UPDATE "DiplomaticStateActions" SET Worth = 0, Cost = 0 WHERE StateType = 'DIPLO_STATE_MAX_INFLUENCE' AND DiplomaticActionType = 'DIPLOACTION_MILITARY_REQUEST'; -- Worth = 0, Cost = 0