-- Nuke Happy Warmongers --
-- Author: Das_Capitolin --
----------------------------------------------------------------------------------------------------

-- Limit Victory Types to Conquest/Domination and Default (No affect on settings)
UPDATE Victories SET EnabledByDefault = '0' WHERE VictoryType = 'VICTORY_SCORE';
UPDATE Victories SET EnabledByDefault = '0' WHERE VictoryType = 'VICTORY_CULTURE';
UPDATE Victories SET EnabledByDefault = '0' WHERE VictoryType = 'VICTORY_RELIGIOUS';
UPDATE Victories SET EnabledByDefault = '0' WHERE VictoryType = 'VICTORY_DIPLOMATIC';
UPDATE Victories SET EnabledByDefault = '0' WHERE VictoryType = 'VICTORY_TECHNOLOGY';

-- VALUES: MinUnits=INTEGER/NOT NULL/DEFAULT 1, MaxUnits=INTEGER/NOT NULL/DEFAULT -1, InitialStrengthAdvantage=REAL/NOT NULL/DEFAULT 0, OngoingStrengthAdvantage=REAL/NOT NULL/DEFAULT 0
UPDATE AiOperationTeams SET OngoingStrengthAdvantage = '-1' WHERE TeamName = 'Nuclear Attack' AND OperationName = 'Nuclear Assault'; -- OngoingStrengthAdvantage='0'

-- VALUES: Priority=INTEGER/NOT NULL/DEFAULT 3, MaxTargetDistInRegion=INTEGER/NOT NULL/DEFAULT 10, MaxTargetDistInArea=INTEGER/NOT NULL/DEFAULT 5, MinOddsOfSuccess=REAL/NOT NULL/DEFAULT 0
UPDATE AiOperationDefs SET Priority = '3', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '50', MinOddsOfSuccess = '0.1', MustHaveUnits = '-1' WHERE OperationName = 'Aid Ally' AND TargetType = 'TARGET_ALLY_SUPPORT'; -- Priority = 3	MaxTargetDistInRegion = -1	MaxTargetDistInArea = 45	MinOddsOfSuccess = 0	MustHaveUnits = -1
UPDATE AiOperationDefs SET Priority = '4', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '30', MinOddsOfSuccess = '0.6', MustHaveUnits = '-1' WHERE OperationName = 'Attack Barb Camp' AND TargetType = 'TARGET_BARBARIAN_CAMP'; -- Priority = 3	MaxTargetDistInRegion = -1	MaxTargetDistInArea = 25	MinOddsOfSuccess = 0.5	MustHaveUnits = -1
UPDATE AiOperationDefs SET Priority = '3', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '-1', MinOddsOfSuccess = '0', MustHaveUnits = '-1' WHERE OperationName = 'Barb Camp Tech Boost' AND TargetType = 'TARGET_BARBARIAN_CAMP'; -- Priority = 3	MaxTargetDistInRegion = -1	MaxTargetDistInArea = -1	MinOddsOfSuccess = 0	MustHaveUnits = -1
UPDATE AiOperationDefs SET Priority = '4', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '-1', MinOddsOfSuccess = '0.1', MustHaveUnits = '-1' WHERE OperationName = 'Barbarian Builder Capture' AND TargetType = 'TARGET_BARBARIAN_CAMP'; -- Priority = 3	MaxTargetDistInRegion = -1	MaxTargetDistInArea = -1	MinOddsOfSuccess = 0	MustHaveUnits = -1
UPDATE AiOperationDefs SET Priority = '3', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '35', MinOddsOfSuccess = '0.6', MustHaveUnits = '5' WHERE OperationName = 'Attack Enemy City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT'; -- Priority = 3	MaxTargetDistInRegion = -1	MaxTargetDistInArea = 30	MinOddsOfSuccess = 0.5	MustHaveUnits = 5
UPDATE AiOperationDefs SET Priority = '3', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '50', MinOddsOfSuccess = '0.3', MustHaveUnits = '3' WHERE OperationName = 'Wartime Attack Enemy City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT'; -- Priority = 3	MaxTargetDistInRegion = -1	MaxTargetDistInArea = 45	MinOddsOfSuccess = 0.25	MustHaveUnits = 3
UPDATE AiOperationDefs SET Priority = '3', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '35', MinOddsOfSuccess = '0.7', MustHaveUnits = '10' WHERE OperationName = 'Attack Walled City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT'; -- Priority = 3	MaxTargetDistInRegion = -1	MaxTargetDistInArea = 30	MinOddsOfSuccess = 0.6	MustHaveUnits = 10
UPDATE AiOperationDefs SET Priority = '3', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '50', MinOddsOfSuccess = '0.5', MustHaveUnits = '6' WHERE OperationName = 'Wartime Attack Walled City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT'; -- Priority = 3	MaxTargetDistInRegion = -1	MaxTargetDistInArea = 45	MinOddsOfSuccess = 0.4	MustHaveUnits = 6
UPDATE AiOperationDefs SET Priority = '3', MaxTargetDistInRegion = '10', MaxTargetDistInArea = '5', MinOddsOfSuccess = '0', MustHaveUnits = '-1' WHERE OperationName = 'Barbarian Attack' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT'; -- Priority = 3	MaxTargetDistInRegion = 10	MaxTargetDistInArea = 5	MinOddsOfSuccess = 0	MustHaveUnits = -1
UPDATE AiOperationDefs SET Priority = '4', MaxTargetDistInRegion = '10', MaxTargetDistInArea = '5', MinOddsOfSuccess = '0', MustHaveUnits = '-1' WHERE OperationName = 'Barbarian City Assault' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT'; -- Priority = 4	MaxTargetDistInRegion = 10	MaxTargetDistInArea = 5	MinOddsOfSuccess = 0	MustHaveUnits = -1
UPDATE AiOperationDefs SET Priority = '4', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '-1', MinOddsOfSuccess = '0', MustHaveUnits = '-1' WHERE OperationName = 'Nuclear Assault' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT'; -- Priority = 3	MaxTargetDistInRegion = -1	MaxTargetDistInArea = -1	MinOddsOfSuccess = 0	MustHaveUnits = -1
UPDATE AiOperationDefs SET Priority = '2', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '-1', MinOddsOfSuccess = '0.1', MustHaveUnits = '-1' WHERE OperationName = 'Civilian Builder Capture' AND TargetType = 'TARGET_FRIENDLY_CITY'; -- Priority = 1	MaxTargetDistInRegion = -1	MaxTargetDistInArea = -1	MinOddsOfSuccess = 0	MustHaveUnits = -1
UPDATE AiOperationDefs SET Priority = '5', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '-1', MinOddsOfSuccess = '0', MustHaveUnits = '-1' WHERE OperationName = 'City Defense' AND TargetType = 'TARGET_FRIENDLY_CITY'; -- Priority = 4	MaxTargetDistInRegion = -1	MaxTargetDistInArea = -1	MinOddsOfSuccess = 0	MustHaveUnits = -1
UPDATE AiOperationDefs SET Priority = '2', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '-1', MinOddsOfSuccess = '0', MustHaveUnits = '-1' WHERE OperationName = 'Naval Superiority' AND TargetType = 'TARGET_NAVAL_SUPERIORITY'; -- Priority = 2	MaxTargetDistInRegion = -1	MaxTargetDistInArea = -1	MinOddsOfSuccess = 0	MustHaveUnits = -1
UPDATE AiOperationDefs SET Priority = '3', MaxTargetDistInRegion = '-1', MaxTargetDistInArea = '-1', MinOddsOfSuccess = '.75', MustHaveUnits = '-1' WHERE OperationName = 'Settle New City' AND TargetType = 'TARGET_SETTLE_LOCATION'; -- Priority = 4	MaxTargetDistInRegion = -1	MaxTargetDistInArea = -1	MinOddsOfSuccess = 0	MustHaveUnits = -1 (Note: MinOddsOfSuccess = '100' has no effect)

-- VALUES: MinNumber/MaxNumber=INTEGER
UPDATE OpTeamRequirements SET MinNumber = '2', MaxNumber = '16' WHERE TeamName = 'Simple Early Attack Force' AND AiType = 'UNITAI_COMBAT'; -- MinNumber=1	MaxNumber=10
UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '12' WHERE TeamName = 'Simple Early Attack Force' AND AiType = 'UNITTYPE_MELEE'; -- MinNumber=1	MaxNumber=
UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '4' WHERE TeamName = 'Simple Early Attack Force' AND AiType = 'UNITTYPE_RANGED'; -- MinNumber=0	MaxNumber=3
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '1' WHERE TeamName = 'Simple Early Attack Force' AND AiType = 'UNITTYPE_CIVILIAN_LEADER'; -- MinNumber=	MaxNumber=1
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'Simple Early Attack Force' AND AiType = 'UNITTYPE_CIVILIAN'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'Simple Early Attack Force' AND AiType = 'UNITTYPE_NAVAL'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'Simple Early Attack Force' AND AiType = 'UNITTYPE_AIR'; -- MinNumber=	MaxNumber=0
UPDATE OpTeamRequirements SET MinNumber = '4', MaxNumber = '18' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITAI_COMBAT'; -- MinNumber=5	MaxNumber=16
UPDATE OpTeamRequirements SET MinNumber = '2', MaxNumber = '12' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITTYPE_MELEE'; -- MinNumber=2	MaxNumber=
UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '6' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITTYPE_RANGED'; -- MinNumber=0	MaxNumber=3
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '3' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITTYPE_SIEGE'; -- MinNumber=	MaxNumber=3
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '1' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITTYPE_CIVILIAN_LEADER'; -- MinNumber=	MaxNumber=1
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITTYPE_CIVILIAN'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITTYPE_NAVAL'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITTYPE_AIR'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '' WHERE TeamName = 'City Naval Attack Force' AND AiType = 'UNITTYPE_NAVAL'; -- MinNumber=	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '0', MaxNumber = '' WHERE TeamName = 'City Naval Attack Force' AND AiType = 'UNITTYPE_MELEE'; -- MinNumber=0	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '0', MaxNumber = '' WHERE TeamName = 'City Naval Attack Force' AND AiType = 'UNITTYPE_RANGED'; -- MinNumber=0	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '1' WHERE TeamName = 'City Naval Attack Force' AND AiType = 'UNITTYPE_CIVILIAN_LEADER'; -- MinNumber=	MaxNumber=1
UPDATE OpTeamRequirements SET MinNumber = '5', MaxNumber = '32' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITAI_COMBAT'; -- MinNumber=5	MaxNumber=16
UPDATE OpTeamRequirements SET MinNumber = '2', MaxNumber = '12' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_MELEE'; -- MinNumber=2	MaxNumber=
UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '6' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_RANGED'; -- MinNumber=1	MaxNumber=
UPDATE OpTeamRequirements SET MinNumber = '0', MaxNumber = '3' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_SIEGE'; -- MinNumber=0	MaxNumber=3
UPDATE OpTeamRequirements SET MinNumber = '0', MaxNumber = '8' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_AIR_SIEGE'; -- MinNumber=0	MaxNumber=1
UPDATE OpTeamRequirements SET MinNumber = '0', MaxNumber = '2' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_SIEGE_SUPPORT'; -- MinNumber=0	MaxNumber=2
UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_SIEGE_ALL'; -- MinNumber=1	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '1' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_CIVILIAN_LEADER'; -- MinNumber=	MaxNumber=1
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_CIVILIAN'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_AIR'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_NAVAL'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '1' WHERE TeamName = 'Barbarian Builder Capture' AND AiType = 'UNITTYPE_CIVILIAN'; -- MinNumber=1	MaxNumber=1
	--UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '' WHERE TeamName = 'Barbarian Builder Capture' AND AiType = 'UNITAI_COMBAT'; -- MinNumber=1	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'Barbarian Builder Capture' AND AiType = 'UNITTYPE_NAVAL'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '1' WHERE TeamName = 'Civilian Builder Capture' AND AiType = 'UNITTYPE_CIVILIAN'; -- MinNumber=1	MaxNumber=1
	--UPDATE OpTeamRequirements SET MinNumber = '0', MaxNumber = '' WHERE TeamName = 'Civilian Builder Capture' AND AiType = 'UNITAI_COMBAT'; -- MinNumber=0	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'Civilian Builder Capture' AND AiType = 'UNITTYPE_NAVAL'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '1' WHERE TeamName = 'Settle City Team' AND AiType = 'UNITAI_SETTLE'; -- MinNumber=1	MaxNumber=1
UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '6' WHERE TeamName = 'Settle City Team' AND AiType = 'UNITAI_COMBAT'; -- MinNumber=1	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'Settle City Team' AND AiType = 'UNITTYPE_NAVAL'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'Settle City Team' AND AiType = 'UNITTYPE_AIR'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'City Defense' AND AiType = 'UNITTYPE_CIVILIAN'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '1' WHERE TeamName = 'City Defense' AND AiType = 'UNITTYPE_CIVILIAN_LEADER'; -- MinNumber=	MaxNumber=1
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'City Defense' AND AiType = 'UNITTYPE_NAVAL'; -- MinNumber=	MaxNumber=0
UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '' WHERE TeamName = 'City Defense' AND AiType = 'UNITAI_COMBAT'; -- MinNumber=0	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '0', MaxNumber = '' WHERE TeamName = 'City Defense' AND AiType = 'UNITAI_EXPLORE'; -- MinNumber=0	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'City Defense' AND AiType = 'UNITTYPE_AIR'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'City Defense' AND AiType = 'UNITTYPE_AIR_SIEGE'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '' WHERE TeamName = 'City Naval Defense' AND AiType = 'UNITTYPE_NAVAL'; -- MinNumber=	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '0', MaxNumber = '' WHERE TeamName = 'City Naval Defense' AND AiType = 'UNITTYPE_MELEE'; -- MinNumber=0	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '0', MaxNumber = '' WHERE TeamName = 'City Naval Defense' AND AiType = 'UNITTYPE_RANGED'; -- MinNumber=0	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '1' WHERE TeamName = 'City Naval Defense' AND AiType = 'UNITTYPE_CIVILIAN_LEADER'; -- MinNumber=	MaxNumber=1
	--UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '' WHERE TeamName = 'Barbarian Raid' AND AiType = 'UNITAI_COMBAT'; -- MinNumber=1	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '' WHERE TeamName = 'Nuclear Attack' AND AiType = 'UNITTYPE_NUCLEAR'; -- MinNumber=1	MaxNumber= (MaxNumber=1 does not limit)
	--UPDATE OpTeamRequirements SET MinNumber = '0', MaxNumber = '' WHERE TeamName = 'Nuclear Attack' AND AiType = 'UNITTYPE_NUCLEAR_ESCORT'; -- MinNumber=0	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '0', MaxNumber = '' WHERE TeamName = 'Aid Ally Attack Force' AND AiType = 'UNITTYPE_MELEE'; -- MinNumber=0	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '0', MaxNumber = '' WHERE TeamName = 'Aid Ally Attack Force' AND AiType = 'UNITTYPE_RANGED'; -- MinNumber=0	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'Aid Ally Attack Force' AND AiType = 'UNITTYPE_CIVILIAN'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '2' WHERE TeamName = 'Aid Ally Attack Force' AND AiType = 'UNITTYPE_SIEGE'; -- MinNumber=	MaxNumber=2
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '0' WHERE TeamName = 'Aid Ally Attack Force' AND AiType = 'UNITTYPE_AIR'; -- MinNumber=	MaxNumber=0
	--UPDATE OpTeamRequirements SET MinNumber = '', MaxNumber = '' WHERE TeamName = 'Naval Superiority Force' AND AiType = 'UNITTYPE_NAVAL'; -- MinNumber=	MaxNumber=
	--UPDATE OpTeamRequirements SET MinNumber = '1', MaxNumber = '' WHERE TeamName = 'Naval Superiority Force' AND AiType = 'UNITTYPE_MELEE'; -- MinNumber=1	MaxNumber=