-- Nuke Happy Warmongers --
-- Author: Das_Capitolin --
----------------------------------------------------------------------------------------------------

-- Allow Aluminum and Uranium onto more feature tiles
INSERT INTO Resource_ValidFeatures (ResourceType, FeatureType)
VALUES	('RESOURCE_ALUMINUM', 'FEATURE_FOREST'),
		('RESOURCE_ALUMINUM', 'FEATURE_MARSH'),
		('RESOURCE_ALUMINUM', 'FEATURE_FLOODPLAINS'),
		('RESOURCE_ALUMINUM', 'FEATURE_OASIS'),
		('RESOURCE_URANIUM', 'FEATURE_MARSH'),
		('RESOURCE_URANIUM', 'FEATURE_FLOODPLAINS'),
		('RESOURCE_URANIUM', 'FEATURE_OASIS');
-- Increase Aluminum tile frequency on map
UPDATE "Resources" SET Frequency = 15 WHERE ResourceType = 'RESOURCE_ALUMINUM' AND Name = 'LOC_RESOURCE_ALUMINUM_NAME'; -- Frequency = 10
-- Increase Uranium tile frequency on map
UPDATE "Resources" SET Frequency = 15 WHERE ResourceType = 'RESOURCE_URANIUM' AND Name = 'LOC_RESOURCE_URANIUM_NAME'; -- Frequency = 10

-- Encourage Domination Victory
UPDATE "Strategies" SET NumConditionsNeeded = 2 WHERE StrategyType = 'VICTORY_STRATEGY_MILITARY_VICTORY' AND VictoryType = 'VICTORY_CONQUEST'; -- NumConditionsNeeded = 3
UPDATE "StrategyConditions" SET ThresholdValue = 1 WHERE StrategyType = 'VICTORY_STRATEGY_MILITARY_VICTORY' AND ConditionFunction = 'Has Taken Capital'; -- ThresholdValue = 1
UPDATE "StrategyConditions" SET ThresholdValue = 1 WHERE StrategyType = 'VICTORY_STRATEGY_MILITARY_VICTORY' AND ConditionFunction = 'Has Opponents'; -- ThresholdValue = 2
UPDATE "StrategyConditions" SET ThresholdValue = 5 WHERE StrategyType = 'VICTORY_STRATEGY_MILITARY_VICTORY' AND ConditionFunction = 'Leads Military'; -- ThresholdValue = 25
UPDATE "StrategyConditions" SET ThresholdValue = 5 WHERE StrategyType = 'VICTORY_STRATEGY_MILITARY_VICTORY' AND ConditionFunction = 'Leads Score'; -- ThresholdValue = 10
UPDATE "StrategyConditions" SET ThresholdValue = 50 WHERE StrategyType = 'VICTORY_STRATEGY_MILITARY_VICTORY' AND ConditionFunction = 'Next Lower Score'; -- ThresholdValue = 100
UPDATE "StrategyConditions" SET ThresholdValue = 2 WHERE StrategyType = 'VICTORY_STRATEGY_MILITARY_VICTORY' AND ConditionFunction = 'Has Taken Capital'; -- ThresholdValue = 2
UPDATE "StrategyConditions" SET ThresholdValue = 0 WHERE StrategyType = 'VICTORY_STRATEGY_MILITARY_VICTORY' AND ConditionFunction = 'Is Not Major'; -- ThresholdValue = 0